<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
	xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
	extension-element-prefixes="java util"
	exclude-result-prefixes="java util gsf">

 <xsl:template name="PeiJoinesBackground">
          <style>
            body {
              background-image: url(sites/<xsl:value-of select="$site_name"/>/images/background.jpg);
              background-repeat: no-repeat;
              background-position: center top;
              background-color: #2d2d2d;
            }

            #containerXXX {
              max-width: 980px;
            }

            #topArea {
              margin: 0px auto 0;
              /* max-width: 970px; */
            }

            .ui-widget-header {
              background: url(sites/<xsl:value-of select="$site_name"/>/images/pei-jones-banner-bg.png);
                          repeat-x scroll left top #f1ce28;
            }

            .ui-widget-content {
               color: #888888;
            }

	    .ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default {
/*	       background: url("images/ui-bg_highlight-hard_15_459e00_1x100.png") repeat-x scroll 50% 50% #459E00; */
/*	       background: url(interfaces/<xsl:value-of select="$interface_name"/>/xxstyle/themes/main/images/ui-bg_highlight-hard_15_459e00_1x100.png) repeat-x scroll 50% 50% #a0a0a0;  */

	       background: none repeat-x scroll 50% 50% #a0a0a0; 
/*	       border: 1px solid #327E04; */
	       border: 1px solid #808080;
	       color: #FFFFFF;
	       font-weight: bold;
	    }

	    .ui-widget-header {
	       border: 1px solid #808080;
            }

	    .ui-state-active a, .ui-state-active a:link, .ui-state-active a:visited {
	       color: #000000;
	       /* text-decoration: none; */
	    }
		</style>
	</xsl:template>

	<xsl:template name="UserTrackerScripts">
		<script type="text/javascript">
			<xsl:text disable-output-escaping="yes">
				$(window).load(function()
				{
					if(gs.cgiParams.d &amp;&amp; gs.userInformation &amp;&amp; gs.userInformation.editEnabled == "true")
					{
						var statusBarDiv = $("&lt;div&gt;");
						$("#gs_content").prepend(statusBarDiv);
						var statusBar = new StatusBar(statusBarDiv[0]);
						var statusUsernameMap = new Array();
						
						var recordActionFunction = function()
						{
							var action = gs.userInformation.currentAction;
							if(!action)
							{
								action = "viewingPage";
							}
							$.ajax(gs.xsltParams.library_name + "?a=g&amp;rt=ro&amp;s=RecordUserAction&amp;s1.site=" + gs.xsltParams.site_name + "&amp;s1.collection=" + gs.cgiParams.c + "&amp;s1.oid=" + gs.cgiParams.d + "&amp;s1.username=" + gs.userInformation.username + "&amp;s1.action=" + action);

							if(action == "savingNote" &amp;&amp; gs.userInformation.saveSentOnce)
							{
								gs.userInformation.currentAction = "viewingPage";
								gs.userInformation.saveSentOnce = false;
							}
							else if(action == "savingNote")
							{
								gs.userInformation.saveSentOnce = true;
							}
						}
						setInterval(recordActionFunction, 5000);
						recordActionFunction();
		
						var userTrackerFunction = function(url)
						{
							$.ajax(url)
							.success(function(response)
							{
								statusBar.clear();
								var xml = $.parseXML(response);
								$(xml).find("userList user").each(function()
								{
									var username = $(this).attr("username");
									if(username == gs.userInformation.username)
									{
										return;
									}

									var statusString;
									if($(this).attr("action") == "viewingPage")
									{
										statusString = "User " + $(this).attr("username") + " is currently viewing this page";
									}
									else if($(this).attr("action") == "addingNote")
									{
										statusString = "User " + $(this).attr("username") + " is currently adding a note";
									}
									else if($(this).attr("action") == "editingNote")
									{
										statusString = "User " + $(this).attr("username") + " is currently editing a note";
									}
									else if($(this).attr("action") == "savingNote")
									{
										gs.userInformation.reloadRequired = true;
										statusString = "User " + $(this).attr("username") + " has saved a note";
									}

									if(gs.userInformation.reloadRequired)
									{
										statusString += ", a note has been added or changed, please click &lt;a href=\"javascript:location.reload();\"&gt;here&lt;/a&gt; to reload the page";
									}
									statusBar.addStatus(statusString);
								});
							});
						}
						var getURL = gs.xsltParams.library_name + "?a=g&amp;rt=ro&amp;s=GetActivityOnPage&amp;s1.site=" + gs.xsltParams.site_name + "&amp;s1.collection=" + gs.cgiParams.c + "&amp;s1.oid=" + gs.cgiParams.d;
						setInterval(function(){userTrackerFunction(getURL);}, 10000);
						userTrackerFunction(getURL);
					}
				});
			</xsl:text>
		</script>
	</xsl:template>

</xsl:stylesheet>
